# 继续对话

`POST` `/v1/ai/agents/{agent_id}/conversations/{chat_uid}/messages/{message_id}/continue`

当 [发起对话](/zh-CN/docs/ai/chat/conversation) 返回 `status = interrupted` 时，Agent 正等待你补充信息。通过本接口回传答案，暂停的运行会从中断处继续执行，直到成功、再次中断或失败。

同一轮对话可能发生多次中断：若继续后再次返回 `interrupted`，按新的 `interrupt` 重复调用本接口即可。

与发起对话一致，通过请求头 `Accept` 选择阻塞式 / SSE 流式响应。

## Parameters

### Path Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `agent_id` | string | Yes | Agent UID. |
| `chat_uid` | string | Yes | 被中断会话的 UID。 |
| `message_id` | string | Yes | 要继续的被中断消息 ID。 |

### Request Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `answers_by_tool_call` | object | Yes | 按工具调用 ID 组织的回答，提供 Agent 所需信息以恢复被中断的运行。 |

## Request Example

```bash
curl --request POST \
  --url 'https://openapi.longbridge.com/v1/ai/agents/<agent_id>/conversations/<chat_uid>/messages/<message_id>/continue' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{"answers_by_tool_call":{}}'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `chat_uid` | string | Yes | 会话 UID。 |
| `message_id` | string | Yes | 消息 ID。 |
| `status` | string | Yes | 运行状态，如 `succeeded`、`interrupted`。 |
| `answer` | string | No | Agent 的回答文本。 |
| `references` | array | No | 回答引用的参考来源。 |
| `elapsed_time` | number | No | 运行耗时（秒）。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "chat_uid": "ct_9f2c1a5b",
    "message_id": "43",
    "status": "succeeded",
    "answer": "Over the past month, Tesla (TSLA.US)...",
    "references": [],
    "elapsed_time": 2.74
  }
}
```
